package MiniMaxCounter;

use strict;
use warnings;
use OOCounter;
our @ISA = qw { OOCounter};

sub new
{
	my ($package) = @_;
	my $c = OOCounter::new ($package);
	$c->{min} = $c->get ();
	$c->{max} = $c->get ();
	return $c;
}

sub getrange
{
	my ($self) = @_;
	return ($self->{min}, $self->{max});
}

sub inc
{
	my ($self) = @_;
	$self->SUPER::inc ();
	if ($self->get () > $self->{max}) {
		$self->{max} = $self->get ();
	}
}

sub dec
{
	my ($self) = @_;
	$self->SUPER::dec ();
	if ($self->get () < $self->{min}) {
		$self->{min} = $self->get ();
	}
}

1;
