package OOCounter;

use strict;
use warnings;

sub new
{
	my ($package) = @_;
	my $counter = {
		value => 0
	};
	return bless $counter, $package;
}

sub get
{
	my ($self) = @_;
	return $self->{value};
}

sub inc
{
	my ($self) = @_;
	$self->{value}++;
}

sub dec
{
	my ($self) = @_;
	$self->{value}--;
}

1;
